%global octpkg interval

Name:           octave-%{octpkg}
Version:        3.2.1
Release:    1%{?dist}
Summary:        Interval arithmetic for Octave
License:        GPLv3+ and LGPLv2+
URL:            https://octave.sourceforge.io/%{octpkg}/
Source0:        https://downloads.sourceforge.net/octave/%{octpkg}-%{version}.tar.gz

BuildRequires:  octave-devel >= 3.8.0
BuildRequires:  mpfr-devel

Requires:       octave(api) = %{octave_api}
Requires:       mpfr >= 3.1.0
Requires(post): octave
Requires(postun): octave


%description
The Octave-forge Interval package for real-valued interval arithmetic
allows one to evaluate functions over subsets of their domain.  All
results are verified, because interval computations automatically keep
track of any errors.  These concepts can be used to handle
uncertainties, estimate arithmetic errors and produce reliable
results.  Also it can be applied to computer-assisted proofs,
constraint programming, and verified computing.  The implementation is
based on interval boundaries represented by binary64 numbers and is
conforming to IEEE Std 1788-2015, IEEE standard for interval
arithmetic.


%prep
%setup -qcT

%build
%octave_pkg_build -T

%install
%octave_pkg_install

%check
%octave_pkg_check

%post
%octave_cmd pkg rebuild

%preun
%octave_pkg_preun

%postun
%octave_cmd pkg rebuild

%files
%{octpkglibdir}
%dir %{octpkgdir}
%{octpkgdir}/doc-cache
%{octpkgdir}/*.m
%{octpkgdir}/@infsup
%{octpkgdir}/@infsupdec
%{octpkgdir}/test
%doc %{octpkgdir}/doc
%dir %{octpkgdir}/packinfo
%license %{octpkgdir}/packinfo/COPYING
%{octpkgdir}/packinfo/NEWS
%{octpkgdir}/packinfo/CITATION
%{octpkgdir}/packinfo/DESCRIPTION
%{octpkgdir}/packinfo/INDEX
%{octpkgdir}/packinfo/*.m
%{_metainfodir}/octave-%{octpkg}.metainfo.xml


%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.2.1-1
- initial build
